#ifndef CACHE_HPP_INCLUDED
#define CACHE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "HashTable.hpp"
#include "Queue.hpp"

namespace Internal
{
    class Cache : public Object
    {
        public:
            Cache();
            Cache(const void* Obj);
            Cache(const Cache& C);
            static Class GetClass();

            HashTable GetHashTable() const;
            Queue GetQueue() const;

    };
}

#endif // CACHE_HPP_INCLUDED
